scsi_normalize_sense
Prev | drivers/scsi/scsi_error.c | Next

## Name

scsi_normalize_sense — normalize main elements from either fixed or

## Synopsis

`int scsi_normalize_sense (` | const u8 * | sense_buffer,
| int | sb_len,
| struct scsi_sense_hdr * | sshdr`)`;

## Arguments

`sense_buffer`

  byte array containing sense data returned by device

`sb_len`

  number of valid bytes in sense_buffer

`sshdr`

  pointer to instance of structure that common elements are written to.

## Description

descriptor sense data format into a common format.

## Notes

The “main elements” from sense data are: response_code, sense_key, asc, ascq and additional_length (only for descriptor format).

Typically this function can be called after a device has responded to a SCSI command with the CHECK_CONDITION status.

## Return value

1 if valid sense data information found, else 0;

Prev | Up | Next
scsi_eh_flush_done_q | Home | scsi_sense_desc_find